Bug 61414 - Input lines starting with an apostrophe are mistreated.
Input lines starting with an apostrophe are mistreated.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: linuxdoc-tools (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-19 06:15 EST by Göran Uddeborg
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 09:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The file x.sgml used as an example (106 bytes, text/plain)
2002-03-19 06:16 EST, Göran Uddeborg
no flags Details
Sorry, wrong file. Although the first sample also triggers the bug, this was the format I had in mind when writing the text. (106 bytes, text/plain)
2002-03-19 06:21 EST, Göran Uddeborg
no flags Details

  None (edit)
Description Göran Uddeborg 2002-03-19 06:15:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020301

Description of problem:
Some words in my document gnerates an error message from linuxdoc, and are
omitted from the output.  It appears to happen if the first non-white character
in a paragraph, or on an input line, is an apostrophe (ASCII code 39).

Version-Release number of selected component (if applicable): 0.9.16-4


How reproducible:
Always

Steps to Reproduce:
1.linuxdoc --backend=txt x.sgml

x.sgml is attached to this report.

Actual Results:  The error message from linuxdoc:

Processing file x.sgml
<standard input>:85: warning: `'over''' not defined

And the word enclosed in apostrophe (quotes) doesn't appear in the output.

Expected Results:  No error message, and a word surrounded by what you call
"right double quotes".  (In Swedish we use the same kind of quotes on both sides
of a quotation.)  (Using the code &rdquo instead of '' in the input gives the
same error.)

Additional info:

I haven't dug into why this happens, or the exact conditions when this happens.
 It seems to be a combination of where structurally and where physically the
code appears.  The bug can be avoided by having some other word earlier on the
same line.  But it is not enough to add a word after the <p> on the previous
line, nor is it enough to move the quoted word up to the previous line so that
it no longer is first on the line.
Comment 1 Göran Uddeborg 2002-03-19 06:16:31 EST
Created attachment 48964 [details]
The file x.sgml used as an example
Comment 2 Göran Uddeborg 2002-03-19 06:21:13 EST
Created attachment 48965 [details]
Sorry, wrong file.  Although the first sample also triggers the bug, this was the format I had in mind when writing the text.
Comment 3 Tim Waugh 2002-03-20 02:47:27 EST
Reported upstream.
Comment 4 Göran Uddeborg 2003-07-18 16:52:25 EDT
Just checked: still broken in linuxdoc-tools-0.9.20-9
Comment 5 Bill Nottingham 2006-08-05 00:05:09 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Göran Uddeborg 2006-08-05 12:51:37 EDT
The bug is still present in linuxdoc-tools 0:0.9.21-6.2.1 from FC5.
Comment 7 Ondrej Vasik 2007-06-19 09:03:01 EDT
Fix found upstream, applied to devel branch of Fedora. Because of low severity
closing NextRelease, will be included in Fedora 8.
Comment 8 Ondrej Vasik 2007-06-19 10:59:56 EDT
NextRelease>RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.